A newer version of this documentation is available.

View Latest

Logging

  • reference

Couchbase Server Enterprise Edition 7.6 reaches End of Life on March 31, 2027. Please upgrade to 8.0.x by following Upgrade, or contact Couchbase Support.

REST API endpoints are provided for retrieving log and diagnostic information, for collecting logs for upload and review, and for logging client-side errors.

APIs in this Section

The Couchbase-Server Logging facility records important events, and saves the details to log files, on disk. REST API endpoints are provided for retrieving log and diagnostic information, for logging client-side errors, and for collecting logs for upload and review.

The APIs are as follows.

HTTP Method URI Documented at

POST

/controller/startLogsCollection

Collecting Logs

POST

/controller/cancelLogsCollection

Collecting Logs

GET

/pools/default/tasks

Getting Cluster Tasks

GET

/diag

Retrieving Diagnostic and Log Information

GET

/sasl_logs

Retrieving Diagnostic and Log Information

POST

/logClientError

Logging Client-Side Errors